org.eclipse.oomph.setup.editor

## Interface ProjectTemplate.Container

- Enclosing class:
    ProjectTemplate

      public static interface ProjectTemplate.Container

  Author:
    Eike Stepper

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultLocation()`
    `TreeViewer` | `getPreviewer()`
    `org.eclipse.oomph.setup.ui.PropertiesViewer` | `getPropertiesViewer()`
    `void` | `validate()`

- - ### Method Detail

    - #### getPreviewer

          TreeViewer getPreviewer()

    - #### getPropertiesViewer

          org.eclipse.oomph.setup.ui.PropertiesViewer getPropertiesViewer()

    - #### validate

          void validate()

    - #### getDefaultLocation

          String getDefaultLocation()

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html